
Redmine - Feature #615

Add Timelog to "My Page"

2008-02-07 19:30 - David Petersen

Status: Closed Start date: 2008-02-07

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Time tracking Estimated time: 0.00 hour

Target version: 0.7   

Resolution: Fixed   

Description

I have developed a new block for the "My Page" page that will list your time entries for "today".  Very useful to make sure you have

updated all the tickets with the time you have spent on them for the day.

I am uploading 4 files:

my_controller.rb.diff - patch file for my_controller.rb which adds the new widget to the drop down list

en.yml.diff - patch file which adds 2 new labels

_timelog.rhtml - new widget that goes in /app/views/my/blocks/_timelog.rhtml

_list_simple.rhtml - new layout for timelogs that goes in /app/view/timelog/_list_simple.rhtml

I am working on more features for time tracking which I will submit later.

Associated revisions

Revision 1260 - 2008-03-16 13:21 - Jean-Philippe Lang

Add a time tracking block for 'My page' (#615).

It lists current user's time entries for the last 7 days across all projects, grouped by day with subtotals for each day, and a grand total.

History

#1 - 2008-02-07 19:47 - David Petersen

- File _list_simple.rhtml added

Update to _list_simple.html that adds a total at the bottom.

#2 - 2008-02-07 19:49 - David Petersen

- File _list_simple.rhtml added

#3 - 2008-03-16 13:25 - Jean-Philippe Lang

- File my_timelog.png added

- Status changed from New to Closed

- Target version set to 0.7

- % Done changed from 70 to 100

- Resolution set to Fixed

I made a few changes to your patch so that it lists entries for the last 7 days with totals for each day:

http://rubyforge.org/forum/forum.php?thread_id=22812&forum_id=7504

Here is the result:
http://rubyforge.org/forum/forum.php?thread_id=22812&forum_id=7504


Committed in r1260.

Files

my_controller.rb.diff 556 Bytes 2008-02-07 David Petersen

en.yml.diff 364 Bytes 2008-02-07 David Petersen

_timelog.rhtml 411 Bytes 2008-02-07 David Petersen

_list_simple.rhtml 924 Bytes 2008-02-07 David Petersen

_list_simple.rhtml 1.12 KB 2008-02-07 David Petersen

_list_simple.rhtml 1.15 KB 2008-02-07 David Petersen

my_timelog.png 27.1 KB 2008-03-16 Jean-Philippe Lang
